Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.SearchOption Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | SearchOption ()
| Constructor.
def | SearchOption (is_whole_word, is_case_sensitive, is_search_bookmarks, is_search_in_marup, is_search_in_attachments, is_ignore_accents, is_proximity, is_stemming, is_ignore_full_width, max_docs, word_matching, is_search_doc_text)
| Constructor, with parameters. More...
def | SearchOption (search_option)
| Constructor, with another search option object. More...
def | Set (is_whole_word, is_case_sensitive, is_search_bookmarks, is_search_in_marup, is_search_in_attachments, is_ignore_accents, is_proximity, is_stemming, is_ignore_full_width, max_docs, word_matching, is_search_doc_text)
| Set values. More...

## Static Public Attributes
| e_WordMatchingMatchAllWords = _fsdk.SearchOption_e_WordMatchingMatchAllWords
| Word matching: match all words.
| e_WordMatchingMatchAnyWord = _fsdk.SearchOption_e_WordMatchingMatchAnyWord
| Word matching: match any word.
| e_WordMatchingMatchPhrase = _fsdk.SearchOption_e_WordMatchingMatchPhrase
| Word matching: match phrase.
| is_case_sensitive = _fsdk.SearchOption_is_case_sensitive
| Specifies whether the search query is case sensitive. Defaule value: false.
| is_ignore_accents = _fsdk.SearchOption_is_ignore_accents
| Specifies whether accents and diacriticals are ignored while searching the query term. Defaule value: false.
| is_ignore_full_width = _fsdk.SearchOption_is_ignore_full_width
| Specifies whether full width and half width characters in the document exactly match the search query. true means ignore full width and half width matching, while false means exactly match the search query. Defaule value: false.
| is_proximity = _fsdk.SearchOption_is_proximity
| Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses. Defaule value: false.
| is_search_bookmarks = _fsdk.SearchOption_is_search_bookmarks
| Specifies whether bookmarks are searched for the query. Defaule value: false.
| is_search_doc_text = _fsdk.SearchOption_is_search_doc_text
| Specifies whether the document text is searched for the query. Defaule value: true.
| is_search_in_attachments = _fsdk.SearchOption_is_search_in_attachments
| Specifies whether any PDF file attachments should be searched along with the base document. Defaule value: false.
| is_search_in_markup = _fsdk.SearchOption_is_search_in_markup
| Specifies whether markup (annotations) are searched for the query. Defaule value: false.
| is_stemming = _fsdk.SearchOption_is_stemming
| Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search. Defaule value: false.
| is_whole_word = _fsdk.SearchOption_is_whole_word
| Specifies whether search finds only occurrences of complete words that are specified in the query. Defaule value: false.
| max_docs = _fsdk.SearchOption_max_docs
| The maximum number of documents that will be returned as part of the search query. Defaule value: 100.
| word_matching = _fsdk.SearchOption_word_matching
| How individual words in the query will be matched to words in the document. This property is relevant only when a query has more than one word. Please refer to values starting from FoxitPDFSDKPython3.SearchOption.e_WordMatchingMatchPhrase and this should be one of these values.

## Detailed Description

This class represents search option.

## Constructor & Destructor Documentation

## ◆ SearchOption() [1/2]

def FoxitPDFSDKPython3.SearchOption.SearchOption | ( |  | is_whole_word,
|  |  | is_case_sensitive,
|  |  | is_search_bookmarks,
|  |  | is_search_in_marup,
|  |  | is_search_in_attachments,
|  |  | is_ignore_accents,
|  |  | is_proximity,
|  |  | is_stemming,
|  |  | is_ignore_full_width,
|  |  | max_docs,
|  |  | word_matching,
|  |  | is_search_doc_text
| ) |  |

Constructor, with parameters.

Parameters

  [in] | is_whole_word | Specifies whether search finds only occurrences of complete words that are specified in the query.
  [in] | is_case_sensitive | Specifies whether the search query is case sensitive.
  [in] | is_search_bookmarks | Specifies whether bookmarks are searched for the query.
  [in] | is_search_in_attachments | Specifies whether any PDF file attachments should be searched along with the base document.
  [in] | is_ignore_accents | Specifies whether accents and diacriticals are ignored while searching the query term.
  [in] | is_proximity | Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses.
  [in] | is_stemming | Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search.
  [in] | is_ignore_full_width | Specifies whether full width and half width characters in the document exactly match the search query.
  [in] | max_docs | The maximum number of documents that will be returned as part of the search query.
  [in] | word_matching | How individual words in the query will be matched to words in the document.
  [in] | is_search_doc_text | Specifies whether the document text is searched for the query.

## ◆ SearchOption() [2/2]

def FoxitPDFSDKPython3.SearchOption.SearchOption | ( |  | search_option | ) |

Constructor, with another search option object.

Parameters

  [in] | search_option | Another search option object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.SearchOption.Set | ( |  | is_whole_word,
|  |  | is_case_sensitive,
|  |  | is_search_bookmarks,
|  |  | is_search_in_marup,
|  |  | is_search_in_attachments,
|  |  | is_ignore_accents,
|  |  | is_proximity,
|  |  | is_stemming,
|  |  | is_ignore_full_width,
|  |  | max_docs,
|  |  | word_matching,
|  |  | is_search_doc_text
| ) |  |

Set values.

Parameters

  [in] | is_whole_word | Specifies whether search finds only occurrences of complete words that are specified in the query.
  [in] | is_case_sensitive | Specifies whether the search query is case sensitive.
  [in] | is_search_bookmarks | Specifies whether bookmarks are searched for the query.
  [in] | is_search_in_attachments | Specifies whether any PDF file attachments should be searched along with the base document.
  [in] | is_ignore_accents | Specifies whether accents and diacriticals are ignored while searching the query term.
  [in] | is_proximity | Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses.
  [in] | is_stemming | Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search.
  [in] | is_ignore_full_width | Specifies whether full width and half width characters in the document exactly match the search query.
  [in] | max_docs | The maximum number of documents that will be returned as part of the search query.
  [in] | word_matching | How individual words in the query will be matched to words in the document.
  [in] | is_search_doc_text | Specifies whether the document text is searched for the query.

Returns
  None.